var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "Code 12 Application Metadata", "zypp--appdata.html", [
      [ "Intro", "zypp--appdata.html#zypp-appdata_intro", null ],
      [ "Missing or wrong appdata", "zypp--appdata.html#zypp-appdata_wrong_appdata", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Code Snippets", "CodeSnippets.html", [
      [ "for_", "CodeSnippets.html#for_", null ],
      [ "erase elements from containers", "CodeSnippets.html#erase", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Notes on revisions", "Notes.html", [
      [ "6.8.0 - Deprecated methods deleted", "Notes.html#V_6_8_0", null ],
      [ "6.10.0 - Removed zypp::UpgradeStatistics", "Notes.html#V_6_10_0", null ]
    ] ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", null, [
      [ "Namespace List", "namespaces.html", "namespaces" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", null, [
      [ "File List", "files.html", "files" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"APIConfig_8h.html",
"DefaultIntegral_8h.html#a1547a676c9d1f206e0ed614d42d74c2d",
"IdStringType_8h.html#a6e39d67141f5e282321ca13596e7b6a5",
"MediaCD_8cc.html#a6db00f35b9d906468d2488bb95d68a03",
"Package_8cc.html#ad9a31196e3d40982e81add471049c637",
"PoolQueryResult_8cc.html",
"RepoManager_8cc.html#afa372a064cf78fabeb86f4bd35668618",
"SUSEMediaVerifier_8cc.html",
"String_8h.html#a1735725ceabf62c777bfd5db5ad953e3",
"UrlBase_8cc.html#a4592a05961855b4b3ade3a20e9c8667f",
"classzypp_1_1Arch.html#a328c883274f3296ae1a770a992fe12b2",
"classzypp_1_1Capability.html#a5f5ccd373d5f93f6de6ec1e3dccded51",
"classzypp_1_1Date.html#a294c893a6cc68d6a36804e10442accf2",
"classzypp_1_1ExternalProgram.html#accd1acdef68fbfa933382d173674ee7c",
"classzypp_1_1IdStringType.html",
"classzypp_1_1Match.html#a6974e0b83fbcdb4c27f83b107d5edc17",
"classzypp_1_1PluginExecutor.html#a51aa85356ae14874f43bb2cfe45d2330",
"classzypp_1_1PoolQuery.html#aefec1377133f1b7cfa4f40b6bd463722",
"classzypp_1_1RepoInfo.html#a105ed37e0e40d77163c2644f1f86e7fe",
"classzypp_1_1ResKind.html#a16e661425a7909791477ba50419d9141",
"classzypp_1_1ResStatus.html#a90ef606596b659dd53dd07a5377c485f",
"classzypp_1_1ServiceInfo.html#ad94f6f17af6050ddf77132ce80e056ef",
"classzypp_1_1ZConfig.html#a01b9a82253676a5dfae09bc5e4e17d02",
"classzypp_1_1ZYppGlobalLock.html",
"classzypp_1_1callback_1_1DistributeReport.html#a0774d5b07aa25bdef054afcf64025f5d",
"classzypp_1_1filesystem_1_1PathInfo.html#abbce98cdf002baa57bccd93b8cbdaca3",
"classzypp_1_1media_1_1CredentialManager.html#a5c7451bd447897b69f617421d65087fa",
"classzypp_1_1media_1_1MediaCurlSetOptException.html#a26f1676a5d9a8553b44282f12a57006f",
"classzypp_1_1media_1_1MediaNotAttachedException.html#a53591dfbe46c0cb3176ee1fd4764dae4",
"classzypp_1_1media_1_1TransferSettings_1_1Impl.html#adbed1f109dd51259bfee5dcd3c2c384b",
"classzypp_1_1parser_1_1ServiceFileReader_1_1Impl.html",
"classzypp_1_1repo_1_1RepoMediaAccess.html#acd61de5c9892053c40f0fd46f634fc31",
"classzypp_1_1sat_1_1LookupAttr_1_1TransformIterator.html#a7d1761de2cc7258d126c9dda440002e3",
"classzypp_1_1sat_1_1SolvAttr.html#a8d9a1c2a239f035276e1bf06bf884bb7",
"classzypp_1_1sat_1_1Transaction_1_1Step.html#af279a9c07f67bf4d0ff26e8a634dce3f",
"classzypp_1_1solver_1_1detail_1_1SolverQueueItemUpdate.html#ab2724e0d196d53a42e6e23265d9462c1",
"classzypp_1_1target_1_1SolvIdentFile.html#a56d48246f97f5fd91a2d8be0a0da603e",
"classzypp_1_1target_1_1rpm_1_1RpmDb.html#a79af7cb76c9ffe641e2921beeaa19cf7",
"classzypp_1_1target_1_1rpm_1_1librpmDb_1_1db__const__iterator_1_1D.html#a5b1c968e00e4209c21456476baf18fb7",
"classzypp_1_1ws_1_1WebpinResult.html#a06f1f627a695ade5213df510eab26cb4",
"functions_enum.html",
"group__ZYPP__BASE__LOGGER__MACROS.html#gab523528d18fc9fba6e110ffa0d4078cc",
"namespacezypp_1_1exception__detail.html",
"structzypp_1_1CompareByLE.html",
"structzypp_1_1JobReport.html#ad1081964eaf61f168f5bb899c5a20747",
"structzypp_1_1PublicKeyData_1_1Impl.html#a35512ce8b7edbc387fa4e942324e7af2",
"structzypp_1_1RepoManager_1_1Impl.html#aceecfaf21a71c10857219f5b2da36cf9",
"structzypp_1_1base_1_1SetTracker.html#a76c0330d1363194ca84ba0695e1f64a0",
"structzypp_1_1json_1_1Array.html#a3fdadd253474c65328d83ec04933c254",
"structzypp_1_1parser_1_1ProductNode.html#a99c13ce042a2312f3e6dc3544d396222",
"structzypp_1_1resfilter_1_1ByUninstalled.html#a6d8f56e2dd08143c23314726e6825cee",
"structzypp_1_1target_1_1IMediaKey.html#ad92e6f5c08cb26ea61d6be669b3d0114",
"structzypp_1_1ui_1_1selfilter_1_1ByKind.html#abfbd4abfe42549abedba030ea8adf8da"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';